.header {
  width: 1287px;
  height: 65px;
  border-radius: 32.51px;
  display: flex;
  align-items: center;
  padding: 0 50px;
  position: sticky;
  top: 35px;
  z-index: 99;
  margin: 0 auto;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.1);
}

.header::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.6);
  -webkit-backdrop-filter: blur(12px);
  backdrop-filter: blur(12px);
  z-index: -1;
  border-radius: 32.51px;
  overflow: hidden;
}

.header .logo {
  flex: 1;
  margin-right: 10px;
}

.header .logo .img {
  width: 124.74px;
  margin-top: 10px;
}

.header .nav-mobile {
  display: none;
}

.header .contact-us {
  padding: 0 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 28px;
  font-size: 13px;
  font-weight: bold;
  line-height: 13px;
  letter-spacing: normal;
  border-radius: 14px;
  white-space: nowrap;
}

.header .nav {
  display: flex;
  align-items: center;
  gap: 50px;
  height: 100%;
}

.header .nav::before,
.header .nav::after {
  content: none !important;
}

.header .nav .nav-item {
  display: flex;
  align-items: center;
  gap: 10px;
  position: relative;
  cursor: pointer;
  height: 100%;
}

.header .nav .nav-item .nav-item-title {
  height: 100%;
  font-family: Inter;
  font-size: 14px;
  font-weight: 500;
  line-height: 14px;
  letter-spacing: normal;
  color: #3D3D3D;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 6px;
  white-space: nowrap;
}

.header .nav .nav-item.active {
  color: #E50012;
}

.header .nav .nav-item.active .info-detail {
  max-height: 423px;
  padding: 32px 0px;
}

.header .nav .nav-item .img {
  width: 10px;
  transform: rotate(-90deg);
  transition: all 0.5s ease;
}

.header .nav .nav-item .img.mobile {
  display: none;
}

.header .nav .nav-item .info-detail {
  position: absolute;
  top: 100%;
  left: -59px;
  border-top: none;
  z-index: 1000;
  overflow: hidden;
  transition: all 0.5s ease;
  max-height: 0px;
}

.header .nav .nav-item .info-detail .bg {
  margin: 12px;
  border-radius: 15px;
  display: flex;
  padding: 32px 0px;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.3);
  -webkit-backdrop-filter: blur(12px);
  /* Safari */
  backdrop-filter: blur(12px);
  background-color: rgba(255, 255, 255, 0.6);
}

.header .nav .nav-item .info-detail .list-line {
  width: 1px;
  background-color: #CCCCCC;
}

.header .nav .nav-item .info-detail .list {
  display: flex;
  flex-direction: column;
  padding: 18px 43px 0px;
}

.header .nav .nav-item .info-detail .list .title {
  font-family: Inter;
  font-size: 14px;
  font-weight: 600;
  line-height: 14px;
  letter-spacing: normal;
  color: #3D3D3D;
  margin-bottom: 14px;
  white-space: nowrap;
}

.header .nav .nav-item .info-detail .list .list-content {
  display: flex;
  flex-direction: column;
}

.header .nav .nav-item .info-detail .list .list-items {
  font-family: D-DIN;
  font-size: 14px;
  font-weight: normal;
  line-height: 32px;
  letter-spacing: normal;
  color: #3D3D3D;
  white-space: nowrap;
}

.header .language {
  width: 19px;
  min-width: 19px;
  margin-left: 100px;
  margin-right: 20px;
  position: relative;
  height: 100%;
}

.header .language > img {
  display: block;
}

.header .language > img.active {
  display: none;
}

.header .language .language-detail {
  position: absolute;
  top: 100%;
  left: -124px;
  right: -180px;
  border-top: none;
  z-index: 1000;
  overflow: hidden;
  transition: all 0.5s ease;
  display: flex;
  max-height: 0;
  flex-direction: column;
  max-width: 400px;
}

.header .language .language-detail .bg {
  border-radius: 15px;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0.8) -3%, rgba(255, 255, 255, 0.8) 100%);
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.3);
  padding: 18px 12px;
  margin: 12px;
  overflow-x: hidden;
  overflow-y: auto;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  max-width: 400px;
}

.header .language .language-detail .language-item {
  display: flex;
  align-items: center;
  gap: 10px;
  border-radius: 10px;
  padding: 0 10px;
}

.header .language .language-detail .language-item .img {
  width: 17px;
}

.header .language .language-detail .language-item .text {
  width: 120px;
  font-size: 14px;
  font-weight: normal;
  line-height: 32px;
  letter-spacing: normal;
  color: #3D3D3D;
}

@media (max-width: 1400px) {
  .header {
    width: 1120px;
  }
  .header .language {
    margin-left: 20px;
  }
}

@media (max-width: 1200px) {
  .header {
    width: 1120px;
    margin: 0 40px;
  }
  .header .language {
    margin-left: 20px;
  }
}

@media (max-width: 850px) {
  .header {
    width: 100%;
    margin: 0;
    top: 0;
    border-radius: 0;
    height: 53px;
    padding: 0 30px;
    position: sticky;
    background-color: #fff;
  }
  .header::before {
    display: none;
  }
  .header .logo .img {
    width: 85px;
    margin-top: 0px;
  }
  .header .language {
    margin-left: 25px;
    margin-right: 25px;
    position: unset;
  }
  .header .language .language-detail {
    position: absolute;
    width: 100vw;
    top: 100%;
    left: 0px;
    height: unset;
    border-top: none;
    z-index: 1000;
    overflow: hidden;
    transition: all 0.5s ease;
    display: flex;
    max-height: 0;
    flex-direction: column;
    max-width: unset;
  }
  .header .language .language-detail .bg {
    margin: 0px;
    padding: 0px;
    background: #FFFFFF;
    border-radius: 0px;
    max-width: unset;
    grid-template-columns: repeat(2, 1fr);
  }
  .header .language .language-detail .language-item {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 20px 0px 20px 25px;
    border-bottom: 1px solid #D8D8D8;
    border-radius: 0px;
  }
  .header .language .language-detail .language-item .img {
    width: 17px;
  }
  .header .language .language-detail .language-item .text {
    font-size: 14px;
    font-weight: normal;
    line-height: 32px;
    letter-spacing: normal;
    color: #3D3D3D;
  }
  .header .language.active .language-detail {
    position: absolute;
    width: 100vw;
    height: unset;
    max-height: calc(100vh - 53px);
    padding: 0px;
    top: 100%;
    left: 0px;
  }
  .header .language.active .language-detail .bg {
    margin: 0px;
    padding: 0px;
    background: #FFFFFF;
    border-radius: 0px;
  }
  .header .language.active .language-detail .bg .language-item {
    padding: 20px 0px 20px 25px;
    border-bottom: 1px solid #D8D8D8;
  }
  .header .nav {
    display: none;
  }
  .header .nav.active {
    display: block;
    position: absolute;
    top: 100%;
    background-color: #fff;
    height: unset;
    max-height: calc(100vh - 53px);
    width: 100%;
    left: 0px;
    overflow: auto;
  }
  .header .nav .nav-item {
    justify-content: space-between;
    border-bottom: 1px solid #D8D8D8;
    flex-wrap: wrap;
    height: unset;
  }
  .header .nav .nav-item .nav-item-title {
    width: 100%;
    padding: 20px 20px 20px 25px;
  }
  .header .nav .nav-item .nav-item-title .img {
    display: none;
    transform: rotate(0deg);
  }
  .header .nav .nav-item .nav-item-title .img.mobile {
    display: block;
  }
  .header .nav .nav-item.active {
    font-size: 14px;
    font-weight: 600;
    line-height: 14px;
    gap: 0px;
  }
  .header .nav .nav-item.active .nav-item-title {
    background: rgba(244, 244, 244, 0.95);
  }
  .header .nav .nav-item.active .nav-item-title .img.mobile {
    transform: rotate(90deg);
  }
  .header .nav .nav-item.active .info-detail {
    width: 100%;
    left: 0px;
    padding: 0px;
    position: relative;
    max-height: unset;
  }
  .header .nav .nav-item.active .info-detail .bg {
    margin: 0px;
    padding: 0px;
    flex-direction: column;
    border-radius: 0px;
  }
  .header .nav .nav-item.active .info-detail .bg .list {
    padding: 25px 20px 25px 40px;
  }
  .header .nav .nav-item.active .info-detail .bg .list .list-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  .header .nav .nav-item.active .info-detail .bg .list .list-title .img.mobile {
    display: block;
    transform: rotate(0deg);
  }
  .header .nav .nav-item.active .info-detail .bg .list .list-content {
    display: flex;
    flex-direction: column;
    height: 0px;
    overflow: hidden;
  }
  .header .nav .nav-item.active .info-detail .bg .list.list-second.active .list-title {
    color: #E50012;
  }
  .header .nav .nav-item.active .info-detail .bg .list.list-second.active .list-title .img.mobile {
    transform: rotate(90deg);
  }
  .header .nav .nav-item.active .info-detail .bg .list.list-second.active .list-content {
    height: unset;
  }
  .header .nav .nav-item.active .info-detail .bg .list.list-second .list-content {
    padding-left: 23px;
  }
  .header .nav .nav-item.active .info-detail .bg .list.list-second .list-content .list-items {
    font-size: 14px;
    font-weight: normal;
    line-height: 40px;
  }
  .header .contact-us {
    display: none;
  }
  .header .nav-mobile {
    display: block;
    width: 14px;
  }
}

@media (any-hover: hover) {
  .header .nav .nav-item:hover {
    color: #E50012;
  }
  .header .nav .nav-item:hover .info-detail {
    max-height: 454px;
  }
  .header .nav .nav-item:hover .img {
    transform: rotate(0deg);
  }
  .header .nav .nav-item .info-detail .list .list-items:hover {
    color: #E50012;
  }
  .header .language:hover > img {
    display: none;
  }
  .header .language:hover > img.active {
    display: block;
  }
  .header .language:hover .language-detail {
    max-height: 300px;
  }
  .header .language:hover .language-detail .bg .language-item:hover {
    background-color: #f5f5f5;
  }
  .header .language:hover .language-detail .bg .language-item:hover .text {
    color: #E50012;
  }
  .header .contact-us:hover {
    background: #E60012;
  }
}

/* 通用样式 */
.img img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
  pointer-events: none;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -ms-user-drag: none;
}

.default-button {
  font-family: Inter;
  background: linear-gradient(90deg, #EDEDED 1%, #FFFFFF 100%);
  border: 1px solid #FFFFFF;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.1);
  color: #3D3D3D;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease;
}

.default-button:hover .img {
  display: none;
}

.default-button:hover .img.active {
  display: block;
}

.default-button .img {
  width: 5px;
  display: block;
}

.default-button .img.active {
  display: none;
}

@media (any-hover: hover) {
  .default-button:hover .img {
    display: none;
  }
  .default-button:hover .img.active {
    display: block;
  }
  .default-button:hover {
    box-shadow: 0px 4px 10px 0px rgba(255, 0, 18, 0.3);
    color: #fff;
    background: #E60012;
    border: 1px solid #FFFFFF;
  }
}

@media (max-width: 850px) {
  .default-button {
    box-shadow: 0px 4px 10px 0px rgba(255, 0, 18, 0.3);
    color: #fff;
    background: #E60012;
    border: 1px solid #FFFFFF;
  }
  .default-button .img {
    display: none;
  }
  .default-button .img.active {
    display: block;
  }
}
